package com.xs.core.mapper.task;

import com.xs.core.model.task.entity.TaskInfo;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.xs.core.model.task.req.TaskInfoReq;
import com.xs.core.model.task.resp.TaskInfoResp;

import java.util.List;

/**
 * <p>
 * 任务信息表 Mapper 接口
 * </p>
 *
 * @author xudm
 * @since 2024-12-23
 */
public interface TaskInfoMapper extends BaseMapper<TaskInfo> {

    List<TaskInfoResp> getTaskInfoList(String categoryCode, String userLang, Long userId);
}
