package com.xs.core.service.Impl.team;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.xs.core.model.team.entity.TeamInviteConfig;
import com.xs.core.mapper.team.TeamInviteConfigMapper;
import com.xs.core.service.team.ITeamInviteConfigService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;

/**
 * <p>
 * 团队邀请配置 服务实现类
 * </p>
 *
 * @author xudm
 * @since 2024-12-21
 */
@Service
public class TeamInviteConfigServiceImpl extends ServiceImpl<TeamInviteConfigMapper, TeamInviteConfig> implements ITeamInviteConfigService {
    @Override
    public TeamInviteConfig getTeamInviteConfig() {
        LambdaQueryWrapper<TeamInviteConfig> queryWrapper = new LambdaQueryWrapper<>();
        queryWrapper.orderByDesc(TeamInviteConfig::getCreateTime);
        queryWrapper.last("limit 1");
        return getOne(queryWrapper);
    }
}

