package com.xs.core.service.team;

import com.xs.core.model.team.entity.InviteRewardsRule;
import com.xs.core.model.team.entity.TeamInviteConfig;
import com.baomidou.mybatisplus.extension.service.IService;

/**
 * <p>
 * 团队邀请配置 服务类
 * </p>
 *
 * @author xudm
 * @since 2024-12-21
 */
public interface ITeamInviteConfigService extends IService<TeamInviteConfig> {
    /**
     * 获取团队邀请配置
     *
     * @return 团队邀请配置
     */
    TeamInviteConfig getTeamInviteConfig();
}
