package com.xs.core.service.team;

import com.xs.core.model.team.entity.TeamInviteRewardRecord;
import com.baomidou.mybatisplus.extension.service.IService;
import com.xs.core.model.team.resp.TeamInviteRewardsResp;

import java.util.List;

/**
 * <p>
 * 团队邀请奖励领取列表（每邀请一人奖励1000） 服务类
 * </p>
 *
 * @author xudm
 * @since 2024-12-21
 */
public interface ITeamInviteRewardRecordService extends IService<TeamInviteRewardRecord> {

    /**
     * 获取团队邀请奖励列表 固定奖励 邀请1人奖励1000金币
     *
     * @param id 用户id
     */
    List<TeamInviteRewardsResp> getTeamInviteRewardRecordList(Long id);
}
