package com.xs.core.common.constant;

/**
 * 金币生成想关的常量
 */
public interface GoldCoinConstant {
    /**
     * 金币产出状态key
     */
    String GOLD_COIN_STATE_KEY = "gold:coin:product:state:";
    /**
     * 金币速率升级记录 key
     */
    String GOLD_COIN_RATE_UPGRADES_KEY = "gold:coin:product:rate:upgrades:record:";

    /**
     * 金币产出计算已处理的消息key
     */
    String GOLD_COIN_CALCULATE_PROCESSED_MESSAGE = "gold:coin:calculate:processed:message:";
    /**
     * 金币产出时间，单位秒
     */
    long GOLD_COIN_PRODUCT_TIME = 60 * 60 * 12L;

    long BOOST_RATE_RESIDUE_TIMESTAMP = 60 * 60 * 12L;


    /**
     * 初始金币产出率
     */
    String GOLD_INIT_RATE = "0.1";
}
