package com.xs.core.model.team.req;

import io.swagger.v3.oas.annotations.media.Schema;
import jakarta.validation.constraints.NotBlank;
import lombok.Data;

import java.io.Serializable;

@Data
@Schema(description = "领取团队邀请任务奖励请求体")
public class ClaimTeamInviteTaskRewardReq implements Serializable {

    @Schema(description = "任务规则id")
    @NotBlank(message = "validation.team.claim.ruleId")
    private String ruleId;
}
